Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2003:092: sendmail


Vulnerability Assessment Details

MDKSA-2003:092: sendmail

Vulnerability Assessment Summary
Check for the version of the sendmail package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2003:092 (sendmail).


A buffer overflow vulnerability was discovered in the address parsing code in
all versions of sendmail prior to 8.12.10 by Michal Zalewski, with a patch to
fix the problem provided by Todd C. Miller. This vulnerability seems to be
remotely exploitable on Linux systems running on the x86 platform
the sendmail
team is unsure of other platforms (CVE-2003-0694).
Another potential buffer overflow was fixed in ruleset parsing which is not
exploitable in the default sendmail configuration. A problem may occur if
non-standard rulesets recipient (2), final (4), or mailer- specific envelope
recipients rulesets are use. This problem was discovered by Timo Sirainen
(CVE-2003-0681).
MandrakeSoft encourages all users who use sendmail to upgrade to the provided
packages which are patched to fix both problems.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2003:092
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

HP ProLiant BL460c G6 Blade Server Dual Xeon E5520 QC 2.26GHz 8GB
$49.0
HP ProLiant BL460c G6 Blade Server Dual Xeon E5520 QC 2.26GHz 8GB pictureEnergy-Efficient High-End DELL PE R610 2x2.26Ghz L5640 6C 192G 2x300G SSD 4x600G
$1539.3
Energy-Efficient High-End DELL PE R610 2x2.26Ghz L5640 6C 192G 2x300G SSD 4x600G pictureDELL PE R610 Low Power Consumption 8-Core 64GB 6x 300GB 10K SAS 90-Day Warranty
$590.1
DELL PE R610 Low Power Consumption 8-Core 64GB 6x 300GB 10K SAS 90-Day Warranty pictureMid-Level Enterprise HP PL DL380 G7 2x 2.66Ghz X5650 6C 72GB 6x 1TB
$799.05
Mid-Level Enterprise HP PL DL380 G7 2x 2.66Ghz X5650 6C 72GB 6x 1TB picture


Discussions

No Discussions have been posted on this vulnerability.